For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get access
Getting Started Key Concepts Integration Types Core Components Embed Hosted API API Reference
  • API Reference
    • Contribution Reports
    • Events and Webhooks
      • GETList all enrolment intents
      • POSTCreate a new enrolment intent
      • GETRetrieve an enrolment intent
      • PUTUpdate policy configuration enrolment intent
      • POSTConfirm an enrolment intent
    • API Errors
Get access
LogoLogo
API ReferenceEnrolment Intents

Update policy configuration enrolment intent

PUT
/enrolment_intents/:enrolment_intent_id
PUT
/enrolment_intents/:enrolment_intent_id
$curl -X PUT https://test.api.kota.io/enrolment_intents/ei_3b1333d87d9d4fd6ad83ba7f6b0e951a \
> -H "Authorization: Bearer <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "id": "ei_3b1333d87d9d4fd6ad83ba7f6b0e951a",
3 "employee_id": "ee_3b1333d87d9d4fd6ad83ba7f6b0e951a",
4 "group_id": "gr_3b1333d87d9d4fd6ad83ba7f6b0e951a",
5 "status": "processing",
6 "force_confirmation": true,
7 "policy_enrolments": [
8 {
9 "type": "health_insurance",
10 "estimated_effective_from": "2024-12-01",
11 "provider": {
12 "id": "pr_3b1333d87d9d4fd6ad83ba7f6b0e951a",
13 "name": "Acme Health Insurance",
14 "description": "Leading provider of comprehensive health insurance plans.",
15 "logo_url": "https://acmehealth.com/logo.png"
16 },
17 "plan": {
18 "id": "pl_3b1333d87d9d4fd6ad83ba7f6b0e951a",
19 "name": "Premium Health Plan",
20 "description": "Full coverage health insurance plan with extensive benefits.",
21 "currency": "eur",
22 "documents": [
23 {
24 "title": "Insurance Product Information Document",
25 "link": "https://acmehealth.com/docs/ipid.pdf",
26 "type": "ipid"
27 }
28 ]
29 },
30 "id": "p_3b1333d87d9d4fd6ad83ba7f6b0e951a"
31 }
32 ],
33 "disclosures": [
34 {
35 "category": "regulatory",
36 "type": "intermediary_role",
37 "text": "This policy is offered through an authorized intermediary acting on behalf of the insurer."
38 }
39 ],
40 "object": "enrolment_intent"
41}

Updates the policy configuration for an existing enrolment_intent. This will reset the enrolment intent back to processing status and re-evaluate the enrolment intent based on the new configuration provided.Unavailable for enrolment intents that are already enrolling or enrolled.

Previous

Retrieve an enrolment intent

Next

Confirm an enrolment intent

Built with

Authentication

AuthorizationBearer
Authorization header using the Bearer scheme

Path parameters

enrolment_intent_idstringRequiredformat: "ei_.+"

Request

This endpoint expects an object.
desired_policy_start_datedate or nullOptional

The desired date for the employee’s policy to start. This date is not guaranteed to be honored by the insurance provider and may be adjusted based on provider-specific rules and requirements. If unspecified, the policy start date will be determined by the insurance provider.

enrolment_datedate or nullOptional
The date on which the employee agreed to enrol into the group's policies. This date may be used by some insurance providers to determine the policy start date. If unspecified, the enrolment date will default to the date the enrolment intent is processed.

Response

OK
idstringformat: "ei_.+"

Unique identifier for the enrolment intent. Prefixed with ei_.

employee_idstringformat: "ee_.+"

Identifier for the employee associated with this enrolment intent. Prefixed with ee_.

group_idstringformat: "gr_.+"

Identifier for the group associated with this enrolment intent. Prefixed with gr_.

statusenum
Current status of the enrolment intent.
force_confirmationboolean

If set to true, the system will always force the PendingConfirmation state before enrolling the employee, even if no action is required. This can be useful in scenarios where you want to ensure that the employee explicitly confirms their enrolment, regardless of their eligibility or any other factors. Defaults to false.

policy_enrolmentslist of objects
Policy enrolment information
disclosureslist of objects
Disclosures associated with this intent.
objectstringRead-only
Object type identifier.
ineligibility_reasonobject

If the enrolment intent status is ineligible, this field provides details about the reason for employees ineligibility.

policy_configurationobject
Policy configuration associated with this enrolment intent.
action_requiredobject

If the enrolment intent status is action_required, this field provides details about the action that needs to be taken to proceed with the enrolment.

pending_confirmationobject

If the enrolment intent status is pending_confirmation, this field provides details about the pending confirmation state.

Errors

400
Bad Request Error
404
Not Found Error